Bug 629830 - Wipe metadata on local disks before RHEV-H installs
Wipe metadata on local disks before RHEV-H installs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node (Show other bugs)
5.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Alan Pevec
Virtualization Bugs
: OtherQA, TestOnly, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 00:35 EDT by Jeremy West
Modified: 2011-07-27 11:04 EDT (History)
14 users (show)

See Also:
Fixed In Version: rhev-hypervisor-5.7-1.el5
Doc Type: Bug Fix
Doc Text:
Red Hat Enterprise Virtualization Hypervisor cannot be successfully installed on hard drives that previously had fake RAID configured and have fake RAID enabled in the BIOS. The installation process now issues an error if you attempt to install Red Hat Enterprise Virtualization Hypervisor when fake RAID is enabled.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 10:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ovirt.log (89.29 KB, text/plain)
2011-05-30 03:33 EDT, Mohua Li
no flags Details

  None (edit)
Description Jeremy West 2010-09-03 00:35:49 EDT
1) Customer Name:
infrasupport Corporation

2) Nature Of Problem:
make more thorough wipe of local drives before installing rhev-h (at least 10Mb of dd from /dev/zero to the disk)

3) Business Requirements Satisfied By Request:
clean up any fakeraid/biosraid/dmraid metadata which RHEV-H can fail on

4) Functional Requirements That Are Not Presently Possible:
RHEV will install to this, not clean it up and then later on parts of the RHEV H can fail without clear explanation (SSL certificate creation)

5) What Will Success Look Like:
no issues with RHEV-H install on drives that had fakeraid metadata

6) Desired Release Vehicle:
errata, new iso/pxe images for RHEV H

7) Request Meets The Rhel Inclusion Criteria:
Yes

8) Affected Packages:
rhev-hypervisor rhev-hypervisor-pxe

9) Sales Sponsor:
NA

10) Rh Business Opportunity With Customer:
NA

11) Status And Risk To Contract If Not Satisfied:
NA

12) If this request is vendor specific, has the customer engaged the partner as well?:
Not Applicable
Comment 4 John Brier 2010-09-07 12:44:47 EDT
I spoke with lvmguy aka Heinz Mauelshagen who seems to be the maintainer of
dmraid about this question from
https://bugzilla.redhat.com/show_bug.cgi?id=629830#c2

===
2010-09-07 12:14:38     jbrier  lvmguy: i see you do a lot of work on
dmraid, i opened several RFE on RHEV-H so that we can properly wipe out
fakeraid metadata after oen of my cust had isseus with preexisting
metadata..
2010-09-07 12:15:05     jbrier  lvmguy: engineering needs to know the
specs for the diff fakeraid specs and specifically how big of a space they
use to ensure we wipe it properly, currently rhev-h wipes first 1MB
2010-09-07 12:15:17     jbrier  can you help with finding those specs
2010-09-07 12:15:59     jbrier  RFE i'm referring to
https://bugzilla.redhat.com/show_bug.cgi?id=629830,
https://bugzilla.redhat.com/show_bug.cgi?id=629828
2010-09-07 12:17:43     lvmguy  jbrier: most fakeraid metadata is void
with the last disk sector wiped. some have backups which need 32k, so your
1mb heuristic is fine. there's only ine ancient Highpoint exxeption which
stored metadata at the beginning of each member drive
===

So now I'm kinda confused.. this casts doubt on the wiping not being done
completely, and the RFEs themselves.. 

but what else could explain this?

we were assuming that rhev h didn't wipe the fakeraid metadata properly,
and for some reason this caused the SSL certificates to fail to create
(and fail w/o logging the failure IIRC).

that doesn't make sense to me and really is why I was pushing for this to
be some sort of bug within RHEV-H and not a hardware issue (as it was kind
of suggested this was by saying we need RFE to fix the problem)

but at the same time the customer did confirm that if they remove the
logical drive they don't have this problem, and if they leave it in tact,
they do..

so i'm confused.

so i followed up a bit more..

===
2010-09-07 12:35:32     jbrier  lvmguy: so to expand on that question earlier, the reason we were thinking rhev-h wasn't wiping the metadata properly is that when the cust left the logical drive in tact rhev-h silently failed to create SSL Certs, but if cust deleted the logical drive in BIOS, no issues
2010-09-07 12:35:50     jbrier  so we figured there was some problem with wiping that metadata that creates the logical drive, do you have any idea what could explain that?
2010-09-07 12:37:19     lvmguy  jbrier: *if* you wiped the last MB *and* deactivated any mappings to any RAID sets: no
2010-09-07 12:37:43     jbrier  lvmguy: would removing the drive from the BIOS do the deactivation of the mappings?
2010-09-07 12:37:54     jbrier  removing the logical raid drive
2010-09-07 12:38:03     jbrier  i dont know what that means to deactivate the mappings
2010-09-07 12:38:15     lvmguy  jbrier: no, metadata signature would still be on
2010-09-07 12:38:33     jbrier  so that is what dd of first and last MB should take care of right?/
2010-09-07 12:38:34     lvmguy  jbrier: any active logical drives on the raid set
2010-09-07 12:38:42     lvmguy  jbrier: y
2010-09-07 12:38:49     jbrier  hm
2010-09-07 12:38:56     lvmguy  jbrier: last mb will do for your HP/Intel box
===


not sure what to make of it.. what do you guys think?
Comment 5 Karel Zak 2010-09-07 14:42:41 EDT
Note that in RHEL6 (and Fedora) is a new wipefs(8) command that allows to remove FS and RAID signatures. See for example:
http://karelzak.blogspot.com/2009/11/wipefs8.html
Comment 6 John Brier 2010-10-18 17:48:32 EDT
=== In Red Hat Customer Portal Case 00320256 ===
--- Comment by Brier, John on 10/18/2010 5:48 PM ---

Closing this legacy Issue Tracker ticket in favor of newly created sfdc 00363911 which now has the following BZ associated to it
BZ 629830 [RFE] Wipe metadata on local disks before RHEV-H installs
Comment 7 Alan Pevec 2011-01-21 17:02:01 EST
RHEV-H installer should be already wiping enough of a disk to remove fake-raid metadata.
For 5.7/6.1 we'll test this on a machine which had previously fake-raid configured.
Comment 14 Mohua Li 2011-05-30 03:33:16 EDT
Created attachment 501727 [details]
ovirt.log
Comment 27 Kate Grainger 2011-07-20 20:46:52 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
For hard drives that previously had fake RAID configured, the fake RAID metadata would prevent Red Hat Enterprise Virtualization Manager from successfully installing. The installation process now wipes this metadata and Red Hat Enterprise Virtualization Manager can successfully install.
Comment 28 Alan Pevec 2011-07-21 03:25:21 EDT
(In reply to comment #27)
> For hard drives that previously had fake RAID configured, the fake RAID
> metadata would prevent Red Hat Enterprise Virtualization Manager from
> successfully installing. The installation process now wipes this metadata and
> Red Hat Enterprise Virtualization Manager can successfully install.

It was wiped before too, bug is TestOnly to verify this.
Issue was and still is that RHEV-H cannot be installed when fake RAID is _enabled_ in the BIOS.
Comment 29 Kate Grainger 2011-07-22 02:02:20 EDT
Thanks for the comment, Alan. How's this:
Red Hat Enterprise Virtualization Manager cannot be successfully installed on hard drives that previously had fake RAID configured and have fake RAID enabled in the BIOS. The installation process now issues an error if you attempt to install Red Hat Enterprise Virtualization Manager when fake RAID is enabled.
Comment 30 Kate Grainger 2011-07-22 02:02:20 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-For hard drives that previously had fake RAID configured, the fake RAID metadata would prevent Red Hat Enterprise Virtualization Manager from successfully installing. The installation process now wipes this metadata and Red Hat Enterprise Virtualization Manager can successfully install.+Red Hat Enterprise Virtualization Manager cannot be successfully installed on hard drives that previously had fake RAID configured and have fake RAID enabled in the BIOS. The installation process now issues an error if you attempt to install Red Hat Enterprise Virtualization Manager when fake RAID is enabled.
Comment 31 John Brier 2011-07-22 09:51:10 EDT
(In reply to comment #29)
> Thanks for the comment, Alan. How's this:
> Red Hat Enterprise Virtualization Manager cannot be successfully installed on
> hard drives that previously had fake RAID configured and have fake RAID enabled
> in the BIOS. The installation process now issues an error if you attempt to
> install Red Hat Enterprise Virtualization Manager when fake RAID is enabled.

This is about RHEV Hypervisor install, not the Manager. Replace Manager with Hypervisor.
Comment 32 errata-xmlrpc 2011-07-27 10:41:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1090.html
Comment 33 Kate Grainger 2011-07-27 11:04:09 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Red Hat Enterprise Virtualization Manager cannot be successfully installed on hard drives that previously had fake RAID configured and have fake RAID enabled in the BIOS. The installation process now issues an error if you attempt to install Red Hat Enterprise Virtualization Manager when fake RAID is enabled.+Red Hat Enterprise Virtualization Hypervisor cannot be successfully installed on hard drives that previously had fake RAID configured and have fake RAID enabled in the BIOS. The installation process now issues an error if you attempt to install Red Hat Enterprise Virtualization Hypervisor when fake RAID is enabled.

Note You need to log in before you can comment on or make changes to this bug.